/*
 * @Author: zc
 * @description 省平台对接
 */
import request from '@/utils/request';
/**
 * @description 查询政民互动发布列表
 * @param {object} params
 */
export const provinceZmhdList = (params: object) => {
    return request({
        url: `/api/v1/OrderProvinceZmhd/getorderlist`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询政民互动发布详情
 * @param {object} params
 */
export const provinceZmhdDetail = (params: object) => {
    return request({
        url: `/api/v1/OrderProvinceZmhd/getorderprovincezmhdinfo`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询政民互动发布
 * @param {object} data
 */
export const provinceZmhdAdd = (data: object) => {
    return request({
        url: `/api/v1/OrderProvinceZmhd/add`,
        method: 'post',
        data,
    });
};
/**
 * @description 查询省延期列表
 * @param {object} params
 */
export const provinceDelayList = (params: object) => {
    return request({
        url: `/api/v1/ProvinceStatistics/get_province_order_delay_list`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询省延期详情
 * @param {object} params
 */
export const provinceDelayDetail = (params: object) => {
    return request({
        url: `/api/v1/ProvinceStatistics/get_order_delay_detail`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询省退单列表
 * @param {object} params
 */
export const provinceReturnList = (params: object) => {
    return request({
        url: `/api/v1/ProvinceStatistics/get_province_send_back_list`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询省退单详情
 * @param {object} params
 */
export const provinceReturnDetail = (params: object) => {
    return request({
        url: `/api/v1/ProvinceStatistics/get_order_send_back_detail`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询省甄别列表
 * @param {object} params
 */
export const provinceIdentifyList = (params: object) => {
    return request({
        url: `/api/v1/ProvinceStatistics/get_province_order_screen_list`,
        method: 'get',
        params,
    });
};
/**
 * @description 查询省甄别详情
 * @param {object} params
 */
export const provinceIdentifyDetail = (params: object) => {
    return request({
        url: `/api/v1/ProvinceStatistics/get_order_screen_detail`,
        method: 'get',
        params,
    });
};